Subject: bug#1067 closed by Dan Nicolaescu <[email-masked]> (Re: bug#1067: 23.0.60; vc-dir (git): doesn't update "branch" line)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1067: 23.0.60; vc-dir (git): doesn't update "branch" line

It has been closed by Dan Nicolaescu <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Dan Nicolaescu <[email-masked]> by
replying to this email.

-- 
1067: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1067
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sat Dec 13 09:58:08 2008
Date: Sat, 13 Dec 2008 09:57:51 -0800 (PST)
From: Dan Nicolaescu <[email-masked]>
To: [email-masked]
Subject: Re: bug#1067: 23.0.60; vc-dir (git): doesn't update "branch" line
Lines: 1

Fixed on  2008-10-03.

>From [email-masked] Thu Oct  2 13:54:30 2008
From: Eric Hanchrow <[email-masked]>
To: [email-masked]
Subject: 23.0.60; vc-dir (git): doesn't update "branch" line
Date: Thu, 02 Oct 2008 13:54:13 -0700

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

* I started Emacs in a git working tree, whose checked-out branch was
  named "master":

    $ cd /usr/local/src/emacs-via-git/src
    $ git branch
    * master
    $ ./emacs -Q -nw

* I ran vc-dir by typing C-x v d, and noticed that the output was
  correct: in particular, it said "Branch : master"

* I created, and switched to, a new branch, by typing 

    M-! git checkout -b fred RET

* I "refreshed" the *vc-dir* buffer by typing g ("revert-buffer").  I
  noticed that it _still_ said "Branch : master".  This is the bug; I
  expected to see "Branch : fred".

* I killed the *vc-dir* buffer with C-x k RET, then recreated it with
  C-x v d.  This time, I saw "Branch : fred", as I expected.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/src/emacs-via-git/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.19 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-09-28 on debian
configured using `configure  '--enable-maintainer-mode' '--with-xpm=yes' '--with-jpeg=no' '--with-gif=no' '--with-tiff=no' '--with-xft' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f d r TAB RET ESC x r e p o r TAB RET

Recent messages:
("./emacs" "-Q")
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading vc-git...done

-- 
Unix ... is not so much a product as it is a painstakingly compiled
oral history of the hacker subculture.  It is our Gilgamesh epic.
        -- Neal Stephenson